Bug 17783 - fcntl may be broken in glibc 2.1.93-3.
Summary: fcntl may be broken in glibc 2.1.93-3.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: elm   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-09-22 04:17 UTC by Red Hat Bugzilla
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-22 18:01:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Red Hat Bugzilla 2000-09-22 04:17:47 UTC
Please see

http://sources.redhat.com/ml/libc-hacker/2000-09/msg00134.html

It is elm-2.5.3-9 and glibc-2.1.93-3 in RedHat 7.0

Comment 1 Red Hat Bugzilla 2000-09-22 05:45:14 UTC
To verify, please enable nscd so that fcntl on the mail folder is the first
fcntl call.

Comment 2 Red Hat Bugzilla 2000-09-22 07:19:04 UTC
I submitted a patch:

http://sources.redhat.com/ml/libc-hacker/2000-09/msg00135.html


Comment 3 Red Hat Bugzilla 2000-09-22 11:46:06 UTC
Andreas is right on this, it is really an elm bug and should be fixed
there.

Comment 4 Red Hat Bugzilla 2000-09-22 14:46:25 UTC
I agree elm is broken on this. But glibc drops the balls when it fails to
save/restore errno
when trying new system calls. Please keep in mind that many applications may do
that.
Some may be broken like elm, but some may not.  Even if they are broken, do you
want
some Red Hat customers telll you their applications, which work under 6.2,  now
stop
working in 7.0? Both elm and glibc should be fixed.

Comment 5 Red Hat Bugzilla 2000-09-22 18:01:02 UTC
No, glibc is not broken.  No program must check errno after a function call
which
didn't fail unless this explicitly documented.  This is just hiding bugs and
decreases
portability.


Comment 6 Red Hat Bugzilla 2000-10-23 15:44:26 UTC
Fixed (by not looking at errno when fcntl returns 0) in elm-2.5.3-10.


Note You need to log in before you can comment on or make changes to this bug.